# 9. Textile Scaffold

This week we changed our instructor, so Lucia accompanied us during all this week. The word to live by this week was **experiment with mediums** and have fun in the mud (patouille). This was the case, my hands were more in the strange looking liquid than on my computer keyboard. 

## Crystallization
### Research & Inspiration
[Felipe Fiallo](https://felipefiallo.com/)
<figure markdown>
  ![](../images/week09/fiallo.jpg)
</figure>

### Recipe Alum Crystal 
=== "ingredients"

		* 250g Alum
		* 1L Demineralize water
		* an crystal of Alum (starter)
	  	* glue varnish
         
=== "tools"

		* Casserol 
		* Cooking plate
		* Filter
		* Spoon
		* a pot for soaking 
		* a support for crystallization
		* an Aluminum foil 


=== "Protocol"

		* Boil the demineralized water in the casserol
		* Add alum in the hot water
		* Dissolve the alum in water 
		* Filter the solution in the pot
		* Stick the crystal of Alum with glue varnish on the support.
		* Soak the substrate in the water and alum solution. 
		* Cover the pot with aluminum foil  
		* Wait 


To perform this experiment, I chose pieces of pine cones that Laora had collected last week. I had to be careful that the support did not touch the sides of the pot in which it would be placed and that the support was hung above the solution. So I created a small installation with a piece of wood and thread. 

<figure markdown>
  ![](../images/week09/protocolcristal.jpg){ width=500 }
</figure>
<figure markdown>
  ![](../images/week09/starter.jpg){ width=500 }
</figure>

>_Problem_: The starter fell into the pot. I used the shape of the support to hold the crystal.

<figure markdown>
  ![](../images/week09/cristaux.jpg){ width=500 }
</figure>

### Results
After one day, some little crystals appeared. So I decided to do a new experiment. I made a second alum bath, a second soaking for my support. I didn't stick on another starter, it wasn't necessary because my support is already crystallized.
<figure markdown>
  ![](../images/week09/cristaux2.jpg){ width=600 }
</figure>
*Conclusion* : my support doesn’t adapte to cristalization. Why ? It’s a wood, a organic matter, changes with the environment. I don’t know.

## Composite 
<figure markdown>
  ![](../images/week09/composite.jpg){ width=700 }
</figure>
I like the idea of composite, why? Because through a composite, I find that there is the idea of **assembly**, of the appearance of the materials that make up the composite, so the idea of transparency and **decomposition**. The decomposition takes place at the beginning of the process to prepare the material, then **a particular aesthetic** settles with the effect and at the end one can obtain an aesthetic of the decomposition. The decomposition and its aestheticism are clearly a **valorization of the matter**. I love it.
In the idea of decomposition, I also hear the idea of **modification**, of **destruction** of a worn object to create a new one. In this process, there is **a new appropriation of the material in a new cycle**. I would even go so far as to say that, personally, by using this process I see the **notion of resilience**.  

All these concepts and visions have guided me this week.

### Research & Inspiration
**ARMAN**    
_Accumulating_ 
<figure markdown>
  ![](../images/week09/arman.jpeg){ width=300 }
</figure>
**CESAR BALDACCINI**   
_Compressing silver-plated metal cutlery sculpture, 1990, private collection_
<figure markdown> 
  ![](../images/week09/cesar.jpg){ width=300}
</figure>
[GABRIELLA VESZPREMI](http://gabriellaveszpremi.com/#/)   
_LAYERS collection_
<figure markdown>
  ![](../images/week09/layers.jpeg){ width=400}
</figure>
[DOMINIQUE VIAL](https://www.youtube.com/embed/oiuZzl3jVhY)   
_Twist again_
<figure markdown>
  ![](../images/week06/Vial.jpg){width=400}
</figure>

### Grinding machine 
**Destruction of the object and decomposition of the material**     
For this experiment, we used a grinding machine to have a grinding fiber to make paper.
<figure markdown>
  ![](../images/week09/broyeuse.jpg){ width=500 }
</figure>
I like this machine, it allows to revalue an object considered as a waste. In the laboratory, we have used it mainly to grind fabric. Originally, it was used to grind plastic. If you tweak this machine, you could grind many other things. These grinding things could find a new function. With this machine, it is possible to make recycling on a small scale and to include it concretely in a craft project. 

I would like to create a similar machine, small in size and without electricity.

**Result of the grinding of the fabric used in the following recipe**
<figure markdown>
  ![](../images/week09/grinding.jpg){ width=700 }
</figure>

### Expérience 1 
#### Recipe Fiber Paper 
=== "ingredients"

		* Grinding fibers
		* Wheat flour glue (1L hot water + 250g flour) 
         
=== "tools"

		* Large box 
		* Spoon
		* Sieve
		* Wood frame with grid 

=== "Protocol"

		* Preparing the flour glue
		* Add fiber
		* Mix well      
		* Put the frame in the box and place the mixture on the grid
		* press to spin the mixture against the grid. 
		* place the sheet on an absorbent surface (fabric + cardboard)
		* Let to dry


#### Process Fiber Paper		
<figure markdown>
  ![](../images/week09/processpaper.jpg)
</figure>

#### Results Fiber Paper
<figure markdown>
  ![](../images/week09/paper1.jpg){ width=700}
  <figcaption>Photo by Lauriane</figcaption>
</figure>
The papers are still drying and also rotting ... so sad.    
I made smaller samples that they dryed well and they became biscotti. 
<figure markdown>
<iframe width="352" height="626" src="https://www.youtube.com/embed/xU0sp3sPHMw" title="Fiber paper" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

###  Experience 2 : Fabric brick 
#### Research & Inspiration 
[FabBRICK](https://www.fab-brick.com/)   
Clarisse Merlet has developed a system that allows the creation of bricks from textiles. She has been able to reuse used materials for a new purpose. What is interesting in this project is that the textile initially used for clothing has been moved to another field, that of interior design. Thus, we note a displacement of matter between different forms of design. 
<figure markdown>
  ![](../images/week09/Fabbrick.png)
</figure>

#### Step 1 : Collection and cutting
The first step I took to make this brick was to collect scraps and cut them to the same square size. The small scraps made were kept and will be crushed for another use. Zero waste. 

#### Step 2 : Addition of a binder
The second step was to immerse each piece of fabric in glue made from cornstarch flour.

#### Step 3 : Pressing n°1
Then I organized each piece of fabric into a pile. It was very wet, so I had to squeeze out as much liquid as possible. Lucia advised me to organize a press with a strap. 
<figure markdown>
  ![](../images/week09/press.jpg){ width=600}
</figure>
After 1 hour of pressure, I moved my brick under the vacuum to continue the pressure. 

#### Step 4 : Pressing n°2
_Machine Vacuum box_ 
<figure markdown>
  ![](../images/week09/vacuum.jpg){ width=700}
</figure>
<figure markdown>
  ![](../images/week09/vacuum1.jpg){ width=200}
</figure>
I left the brick for 3 hours in the vacuum. 
It was not yet dry. I left it in a corner to dry.

#### Result 
<figure markdown>
  ![](../images/week09/brick1.jpg){ width=700}
</figure>
After a few days, I went to see the stage of my brig and to see if it would not be moldy. I was afraid that it would mold because it was close to the paper that did not finish well. 
Unfortunately, when I handled it, I realized that the pieces of fabric were not well fixed. Also, that the glue had made some ugly white marks. The result is not good. To react to this failure, I decided to rewash the pieces to remove the white traces and to make a patchwork shirt with the pieces. Continue the recycling loop. 
<figure markdown>
  ![](../images/week09/failbrick.jpg){ width=700}
</figure>

## Mycelium 
During this week, I accompanied Amandine in these tests to inoculate oyster mushrooms. I refer you to her page [here](https://class.textile-academy.org/2023/amandine-fery/assignments/week09/#mycelium), which clearly explains her progress and the help I was able to give her. 

I would like to share with you that I enjoyed working with Amandine, her experimental spirit was for me a source of motivation and lightness: Removing the limits to experiment with the material, its reaction to a mechanical action in the case of the fish skin or making the mushrooms grow in a healthy environment.
 Gathering around mushrooms gave the opportunity to converse about the life cycle of the object. That it is important to think about the end at the beginning of the creation process. We were able to discuss the notion of design thinking and Victor Papanek. This collaborative work around a bio-based was a kind of revelation for me on the fact that it is necessary to open new fields and the experimentation is the implementation of this research. 

<figure markdown>
  ![](../images/week09/Peaupoissonamandine.png){ width=700}
</figure>
