# 11. Implications and applications

This week 11 page has changed a lot since November. The shape of my project has progressed a lot based on feedback and my personal reflection. 

The continuation of the project is referenced in a other part of this site, which you can find [here](https://class.textile-academy.org/2023/marion-banon/development/02-process/#ideation-sketches). 

During week 11, we followed several workshops with Laetitia Thomas to reflect on our projet. All of the sketches or ideas that came out during this week were deployed in my week 14. 

## Pitch - Week 14 - December 2022

The presentation below is the first pitch made to Oscar Tomico. This presentation is about building a modular box that would represent an ideal closet without excess. The content of the box would be developed from questionnaires and interviews with a large audience. 

<div style="position: relative; width: 100%; height: 0; padding-top: 56.2500%;
 padding-bottom: 0; box-shadow: 0 2px 8px 0 rgba(63,69,81,0.16); margin-top: 1.6em; margin-bottom: 0.9em; overflow: hidden;
 border-radius: 8px; will-change: transform;">
  <iframe loading="lazy" style="position: absolute; width: 100%; height: 100%; top: 0; left: 0; border: none; padding: 0;margin: 0;"
    src="https:&#x2F;&#x2F;www.canva.com&#x2F;design&#x2F;DAFW0p8fqK0&#x2F;view?embed" allowfullscreen="allowfullscreen" allow="fullscreen">
  </iframe>
</div>
<a href="https:&#x2F;&#x2F;www.canva.com&#x2F;design&#x2F;DAFW0p8fqK0&#x2F;view?utm_content=DAFW0p8fqK0&amp;utm_campaign=designshare&amp;utm_medium=embeds&amp;utm_source=link" target="_blank" rel="noopener"></a>


### Feedback after presentation
         
- Being more extreme to provoke, to reflect, with an intention to polarize   
- Modular Fashion – the next big thing ? by Molshree Vaid [article](https://www.ecotextile.com/2021063028006/features/modular-fashion-the-next-big-thing-2.html)    
- Could modular fashion make sustainability fun ? by Bella Webb and Lucy Maguire [article](https://www.voguebusiness.com/sustainability/could-modular-fashion-make-sustainability-fun-botter-coperni-peter-do-courreges)    
- it could even be that you make a box with some modular cut pieces and you give it to 50 different people and you ask them to create a garment and then send you a picture.   
- like a social experiment
- Next Generation: Mathilde Rougier's modular fashion echoes within the digital sphere by Next Nature [article](https://nextnature.net/magazine/story/2020/next-generation-mathilde-rougier)   
- Marie Kondo      

### Reference(s) 
- Fabricademy 22-23 Week 3 OPEN SOURCE CIRCULAR FASHION 
- Elisabeth Jayot : https://www.fragmentsgarments.com/ 


## Status of the project in January 2023
### Issues addressed in this project  
#### Overconsumption

<figure markdown>
  ![](../images/week11/Accra-ghana-colline-pollution-textile- Magazine ANCRE.jpg){ width=700 }
  <figcaption> Ghana-colline-pollution-textile- Magazine ANCRE </figcaption>
</figure>

<figure markdown>
🔥 **224 000 tons of textile waste are destroyed in the world (Catherine Dauriac)**
</figure>
   
##### Why did we get here? 
        
This quantity of waste were at the beginning objects wich surrounded us. I would like to work on the question of our relationship with the object, and in particular the garment closest to us. This textile object is deposited on our skin. It is more than necessary that we question ourselves to make things evolve, to change our habits and to leave fundamentally the system of consumption.
   
Through this project, I wish to question the garment, the people by breaking down the garment using the principle of modularity, to play to debate, to imagine together new solutions, experimenting with composition and decomposition to debate and denounce false beliefs. 

### First reflections and schematization of ideas to elaborate the project
In the diagram below, I have put down my first thoughts: Overconsumption is intrinsically linked to our relationship to objects, to the notion of materialism and the opposite of minimalism and finally overconsumption causes problems to our environment (ecology and social). 

In connection with these three circles, I have put forward four actions that could be solutions: Adapt, reduce, re-claim and question. 
   
I end this diagram by including a rectangle with the word modularity. This last one corresponds to a technique. The ideas contained in the 4 circles can be animated by modularity. This is why I decide to choose the principle of modularity at the heart of my project.  
    
<figure markdown>
  ![](../images/week11/02.01.23 1.jpg){ width=800 }
  <figcaption> 02.01.23 </figcaption>
</figure>

The mind map below summarizes the use of the module box. 

In this diagram, it is no longer a module box representing an ideal closet. It is about a game. I would like this box to be proposed to participants in a playful setting. At the same time as people play with this module box, I could interview them and ask them questions about their relationship to clothes. This information will be collected and included at the very end in a manifesto. Photo shoots will be organized to produce examples of clothing produced with the modules to accompany the questions and included in the manifesto. 
   
<figure markdown>
  ![](../images/week11/Mind map.jpg){ width=1000 }
 <figcaption> Mind Map </figcaption>
</figure>


### My personal challenges in the development of this project
    
* To deepen the question of modularity
* Propose an work that opens the debate 
* Raising awareness of overconsumption
* To creat a event where the consumer is actor to produce garment
* To be emancipated and to create to propose my own artistic production 

### Inspirations 
#### Art
   
<figure markdown>
  ![](../images/week11/artweek11.jpg){ width=800 }
</figure>
   
TERRANCE SMALLS
<figure markdown>
  ![](../images/week11/Terrance Smalls.jpg){ width=800 }
 <figcaption> https://www.huffingtonpost.fr/ </figcaption>
</figure>
   
YOKO ONO, Cut Piece_ in Carnegie Recital Hall, New York, 1965    
<figure markdown>
  ![](../images/week11/ono_cutpiece.jpg){ width=600 }
  <figcaption>Moma learning</figcaption>
</figure>
   
#### Modularity 
   
ELISABETH JAYOT _Fragments Garments_ 
<figure markdown>
  ![](../images/week11/refreamproject.jpg){ width=500 }
  <figcaption> Re-FREAM | “Cork Silhouette” Photo-Credit: Elisabeth Jayot </figcaption>
</figure>
     
#### Written ressources  
   
- ADEME, _Le revers de mon look_, 2017   
- ADEME, [_La mode sans dessous dessus_](https://multimedia.ademe.fr/infographies/infographie-mode-qqf/), 2022      
- Roland Barthes, _Système de la Mode_, 1967   
- Audrey Millet, _Le livre noir de la mode : création, production, manipulation_, 2021   




 










