# 12. Soft robotics

## Tuesday's Class
[Fabricademy 2022-23 Week 7 - Soft Robotics](https://vimeo.com/778566983/9b8628e75f)

This week's theme is soft robotics. Soft and gooey textures were in the spotlight this week. The first way we explored this week was creating volume from flat surfaces by incorporating air into flat assemblies such as a camping mat. From there, we had to direct that inflation to perform some action like pressing, moving, grasping. Finally, the last step was to use these mechanisms to heal: control the air and its force to help. Clearly, I didn't expect this this week and I'm glad I did it this week, crossing textiles and health. 


## ALIGINATE MEMBRANE 
### Resarch & Inspiration  
To realize the following, we relied on the page of [**Gabriela Lotaif**, her projet DAR À LUZ and her bioflaskin](https://class.textile-academy.org/2020/gabriela.lotaif/projects/3.bioflaskin/) and all her beautiful research for her costume.

<figure markdown>
  ![](../images/week12/Projet Gabriela.jpg){ width=900 }
</figure>

The starting point of this experiment is the use of biomaterials to create a surface that inflates. In short, we wanted to create a **bioinflatable**. After understanding the inflation system using Vynil (understanding the need to have an area that allows air to pass and another area that is sealed). We chose a biomaterial recipe based on [Alginate](https://en.wikipedia.org/wiki/Alginic_acid). Why alginate? The main reason is that alginate can be easily fixed / stopped with calcium chloride. The combination of these two agents allows to create shapes quickly.

### Step 1 : Preparation of Alginate and calcium chloride
=== "Recipe of biomaterial based on Alginate "

    * 1 L water
    * 25 g aginate

=== " Recipe of Calcium chloride"

    * 100 ml calcium chloride
    * 900 ml water  
		
=== "Tools"

    * one pot of alginate 
    * Diluted calcium chloride spray
    * Baking paper (to prevent the alginate from sticking to the table)
    * Fine needle syringe (to incorporate air into the alginate)

<figure markdown>
  ![](../images/week12/preparation12.jpg){ width=700 }
</figure>

All ingredients and surfaces are ready for experimentation!

### Step 2 : First tests in search of a solution to create air pockets 
#### Way A 
<figure markdown>
  ![](../images/week12/montageA1.jpg){ width=700 }
</figure>
To perform this manipulation, it is necessary to keep the calcium chloride spray close to you. As soon as there is no more air in the syringe, the needle must be removed and then calcium chloride must be quickly added so that the alginate that comes out is fixed and forms a plug. Thus, the air does not escape. This action must be repeated several times to obtain a nice bubble. 
   
**Result** 
<figure markdown>
  ![](../images/week12/A.jpg){ width=300 }
</figure>  
The result is good: the pocket has formed well. But it is not a system that can be inflated. This manipulation does not meet our objective. However, with this manipulation, we could consider testing the resistance of the alginate. 
   
**Another result with some black pigment in the alginate**   
_Dragons' eggs_ 
<figure markdown>
  ![](../images/week12/A2.jpg){ width=500 }
</figure>

#### Way B
<figure markdown>
  ![](../images/week12/montageB1.jpg){ width=600 }
</figure>
During this manipulation, it is difficult to control the shape of the pocket. It's a bit messy. But we have managed to create an alginate bubble that can inflate.
    
**Result after dry** 
<figure markdown> 
![](../images/week12/B2.jpg){ width=400}
</figure> 
<figure markdown> 
<iframe width="352" height="626" src="https://www.youtube.com/embed/cAWcXSA_n6Y" title="Alginate balloon" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure> 


**Lauriane** also experimented with alginate this week, she added color to the whiteness of the alginate. The result is amazing, [here](https://class.textile-academy.org/2023/lauriane-beaumont/assignments/week12/#second-test) is the link to her page. 
   
#### Not successful 
<figure markdown>
  ![](../images/week12/C.jpg){ width=900 }
</figure>

## SENSORIAL COMMUNICATION 
### Inspiration
For this part, we inspired on the beautiful research of [Saskia Helinska UNFLATABLES](https://class.textile-academy.org/2022/saskia-helinska/finalproject.html). Particularly by [this bracelet]((https://class.textile-academy.org/2022/saskia-helinska/images/final/grab2.mp4)), which she created. She has developed a very sensory approach to soft robotics. I particularly like this relationship. 
<figure markdown>
<iframe width="850" height="515" src="https://www.youtube.com/embed/yxzaZYXA-3M" title="Unflatables" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>
---  
        
During this week, with Laora, we crossed our views to develop a project : a therapy bracelet using Morse code. The original idea was the one brought by **Laora of synesthesia**. From there, we added the idea of acupressure and **EFT**. [Here](https://class.textile-academy.org/2023/laora-guillerm/assignments/week12/#sensorial-communication) we can find the link to Laora's site, which explains very well her idea and what EFT is. 
   
### Sketch 
Our ideas together have produced this scheme, this is our goal. 
<figure markdown>
  ![](../images/week12/Haptic schema.jpg){ width=800 }
 <figcaption>schema by Laora</figcaption>
</figure>

### Step 1 : Targeting the acupressure point 
#### What is acupressure? 
  "Acupressure is one of the pillars of traditional Chinese medicine. This method, which shares its main principles with acupuncture, is based on the manual stimulation of points, or pressure points, spread throughout the body to rebalance the body and relieve it of various pains, nervous tensions and conditions unfavorable to health." [Lemonn.fr](https://www.lemonn.fr/acupression/qu-est-ce-que-acupression/)
  
#### Choosing an acupressure point
<a title="https://dietetiquetuina.fr/532/les-meridiens-principaux-de-la-medecine-chinoise/"><img src="https://dietetiquetuina.fr/wp-content/uploads/1.jpg" alt="Méridiens de la médecine chinoise, vue de face" width="709" height="700" /></a><br>Par David Brun, auteur du blog <a title="Tuina et diététique chinoise" href="https://dietetiquetuina.fr">Tuina et diététique chinoise</a>
   
<figure markdown>
  ![](../images/week12/MC6.jpg){ width=400 }
 <figcaption>Acupression et bien-être</figcaption>
</figure>
We chose the Nei Guan MC6 point, against nausea, vomiting. It is on the forearm to the right of the wrist. We chose this point because we already knew it and its location is accessible.    

### Step 2 : Creation of the bracelet that adapts to the arm and passes over the chosen point 
On the diagrams and pictures below, the blue material is vynil. At first we wanted to make this bracelet in alginate, but this biomaterial is difficult to shape. That's why we chose vynil to make this bracelet. 
<figure markdown>
  ![](../images/week12/bracelet1.jpg){ width=800 }
</figure>
   
### Step 3 : Test pressure (with Arduino)
**Tools**   
- Arduino board   
- Arduino IDE   
- Arduino air pump    
- 9V battery   
- Crocodile threads   
- Threads    
- Computer   
- [Driver circuit/ Mostfet](https://class.textile-academy.org/2023/marion-banon/assignments/week08/#elaboration-of-a-driver-circuit-transitor)   
  - Vynil bracelet
     
Schema by Laora
<figure markdown>
  ![](../images/week12/Laora.jpg){ width=800 }
</figure>

** Testing** 
<figure markdown>
<iframe width="856" height="438" src="https://www.youtube.com/embed/o4NdQE_mrfY" title="Inflatable vynil" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

**Code using to test inflating Vynil**    
```
int air=9;

void setup() {
  pinMode(air,OUTPUT);
}
void loop() {
  digitalWrite(air,HIGH);
  delay(2000);
  digitalWrite(air,LOW);
  delay(2000);
}
```

## Other projects in this week at Le Textile Lab in Lyon 
* Accordion origami by [Audrey](https://class.textile-academy.org/2023/audrey-kalic/assignments/week12/#accordion-origami)    
   
* Vinyl test : using a waffle iron machine by [Amandine](https://class.textile-academy.org/2023/amandine-fery/assignments/week12/#vinyl-waffle) and [Laora](https://class.textile-academy.org/2023/laora-guillerm/assignments/week12/#vinyl-test-using-a-waffle-iron-machine)
   
* _Sea,3D and cold_ by [Amandine](https://class.textile-academy.org/2023/amandine-fery/assignments/week12/#holidays-heat), [Laora](https://class.textile-academy.org/2023/laora-guillerm/assignments/week12/#3-sea-3d-and-cold) and [Lauriane](https://class.textile-academy.org/2023/lauriane-beaumont/assignments/week12/#holidays-heat).
   
* Silicone drawing by [Amandine](https://class.textile-academy.org/2023/amandine-fery/assignments/week12/#silicone-drawing)
   
* _Aloe qui vivra_ by [Lauriane](https://class.textile-academy.org/2023/lauriane-beaumont/assignments/week12/#aloe-time-will-tell-qui-vivra) and [Amandine](https://class.textile-academy.org/2023/amandine-fery/assignments/week12/#aloe-qui-vivra)
<figure markdown>
<iframe src="https://giphy.com/embed/bAu3MKwnPlXVJtL5tF" width="480" height="270" frameBorder="0" class="giphy-embed" allowFullScreen></iframe><p><a href="https://giphy.com/gifs/bAu3MKwnPlXVJtL5tF"></a></p>
</figure>
