# 10. Open Source Hardware - From Fibers to Fabric

## Tuesday's Class
[Textile as scaffold - Fabricademy 2022-2023](https://vimeo.com/773893628/079ecbe72a)


My week was a little different than other weeks. The theme of the week was machine building or machine hacking. On the other hand, during this week there were several meetings organized outside Fabricademy, and our instructor Pauline proposed us to participate in them. I gladly decided to follow her. Therefore, the first part of my documentation of the week is not about building a machine but about the two days spent outside the lab meeting actors involved in the change of the textile sector. This first part of the week was focused on the use of new materials to produce yarn. 

So, I had the chance to participate two events. There were some presentations and groups brainstorming workshops. I learned a lot things, debate on the textile sector and imagine new system. The first meeting was organized by Herewear and TCBL in Luma Studio, Arles (France). The second one was organized by The Lyon chamber of trade (CMA), Lyon (France). 

  This week, we have crossed paths with many actors in the textile sector, in the agri-food sector, designers, field animators, project managers in associations, institutions and industries. All committed to participate in the evolution of this sector. This week is also a strong time for me, because the presentations have allowed to approach concepts (like ecosystem, bio-, recycling etc.) These concepts are keys to elaborate futur new projects.

In this first part of the documentation, I choose to include the notes that I was able to take during these two days.

## PART 1 (DAY 1) : TCBL DAYS BIOBASED MODELS
<figure markdown>
  ![](../images/week10/tcblday.jpeg){ width=400 }
</figure>

###[TCBL Association (Textile & Clothing Business Labs)](https://tcbl.eu/about-tcbl-association)

>The TCBL Association gathers together people and organizations who want to bring real change to the textile and clothing industry. Growing public awareness of the industry’s significant social and environmental impacts has led to endless promises and commitments, but little has changed. We think we can make a difference by building an alternative system based on experimentation, trust and shared values.
_TCBL_

###[HEREWEAR](http://herewear.eu/project/)   
It is a European project born in 2014, supported by the research and innovation program Horizon 2020 of the European Union. 

>The HEREWEAR project aims at the creation of a European ecosystem for locally produced circular textiles and clothing made from bio-based resources. The bio-based material solutions will build further on the latest bio-based polyester and cellulose developments. 
_HEREWEAR_

In the framework of this Herewear project, actors are deployed on the field to organize workshops. The one on Wednesday is an example. There are many partnerships and the workshops encourage physical meetings. 

TCBL participates in several projects: [Wintex](https://fr.wintex.de/) (university innovation poles in Tunisia), [Herewear](http://herewear.eu/project/) (local bio-based fibers and fabrics) and [Shemakes](https://shemakes.eu/)(creation of a gender innovation ecosystem). 

  _Looking for other ways of doing, thinking, imagining, creating_ is the phrase that carried us through the day. 

###[ATELIER LUMA](https://www.atelier-luma.org/)
<figure markdown>
  ![](../images/week10/Luma.jpg){ width=600 }
</figure>

Luma Studio (Bio design lab)
This studio-laboratory of research, fabrication and creative community opened in 2017, installed in the Studio in Arles. This laboratory works with its environment: the Camargue, the Alpilles and the Crau. The researchers carry out surveys of fields on the resources present on this territory in specificity as rice, wool, seaweed, salt. These resources are real deposits to exploit. (Bioregion and Biobased). 

>"The LUMA studio explores the multiple facets of the bioregion. We bring together elements of history, culture, environment, society and economy, to weave them together in projects." - Jan Boelen, artistic director of Luma Studio.

>"Designers, artists, biologists, engineers, farmers, philosophers, sociologists and activists work side by side to address the challenges of transition in our territory" Luma Studio

>"Accept the living character of color" Luma Studio

---
**The cycle set up in this design platform**     
	1) Investigation (field studies: new findings and situation report).    
	2) Design (conception, research and development, shaping)   
	3) Development (implementation and deployment)   
	4) Transformation (deployment of the project on another territory) 

---  
**New horizons = New ressources to explore for Luma studio**  
<figure markdown>
  ![](../images/week10/ressourcesluma.jpg){ width=700 }
</figure>

#### Projects carried out by the Luma Studio
[**Around the salt of the Camargue**](https://www.atelier-luma.org/projets/station-de-cristallisation)     
This project aims to valorize the salt and its crystallization process, produced in the Camargue. From salt, they succeeded in building a new material for the building sector. The research around salt began with a field study (the production, the chemical properties, the crystallization process), then a shaping (controlling the crystallization process to create panels) and finally the application (construction of this salt panel puzzle). 

<figure markdown>
  ![](../images/week10/Sel LUMA.jpg){ width=700 }
</figure>
<figure markdown>
  ![](../images/week10/selprojetluma.jpg){ width=800 }
</figure>

[Here Video of projet](https://www.youtube.com/watch?v=JnGTDX_lKs8&ab_channel=LUMAArles)

[**Algae Platform**](https://www.atelier-luma.org/projets/algae-platform-2)
The goal of this project is to map the species of microalgae present on the territory of Carmague. This project brings together many experts on the seaweed in different disciplines, in order to find solutions to exploit the seaweed (either present in large quantities on the territory, how to recover it, or easily cultivable. A laboratory has been built in the LUMA Workshop reserved for this resource, a kind of special unit for these micro particles. 
<figure markdown>
![](../https://dy7ica26msxvt.cloudfront.net/projects/_1100xAUTO_fit_center-center/algaeplatform_group.jpg?mtime=20210624201329){ width=500 }
</figure>
[**The Forgotten Wools Project**](https://www.atelier-luma.org/projets/forgotten-wools)
In this project, wool is revolarized both as a material with many properties but also the history of wool production in Camargue. This project brings together a large number of actors, such as producers of merino wool (the producers and also the sheep), scientists in laboratories and designers. Wool is badly seen in France (rustic, itchy etc.), and through this project it is also a question of a revaluation of this material in the eyes of the French. Wool has interesting properties such as thermal and humidity regulation, but it can also be graphic and comfortable. 
**LOT 8**
The workshop is built in former electrical store and changing rooms, located in the studio park.  The building is renovated and upgraded to accommodate this design laboratory. This renovation is also a project in itself carried by the Atelier Luma. It is designed with composite materials such as straw lime insulation.  This building follows the same logic as the projects presented above, designed with local and bio-based materials.

**Many other projects**   
  - [Lost ground](https://www.atelier-luma.org/projets/sol-perdu)   
  - [Dyeing LAB & Geographies of Color](https://www.atelier-luma.org/projets/geographies-de-la-couleur-fr)   
  - [Invasive Plants Club](https://www.atelier-luma.org/projets/plantes-invasives)
  - Fibers & Yarns Woll mérinos of Arles
  - Paper Yarns (Mosquito net in the studio's dining room)  
  - [Mediterranean Design Platform Henriëtte Waal](https://www.atelier-luma.org/projets/plateforme-mediterranenne-du-design)

Tapestry 2023 - Collaboration with Rirkrit Tiravanija   "le bonheur n’est pas drôle toujours "
<figure markdown>
<iframe width="656" height="238" src="https://www.youtube.com/embed/_RuZKmq0ZmY?list=PLpGIBtb2U4bD1HegcdmMe6DmcOHEiSKHo" title="" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

The projects are realized in the Luma workshop on a 1:1 scale and then deployed on other territories with other resources. 

<figure markdown>
  ![](../images/week10/atelierluma.jpg){ width=800 }
</figure>

This place offers to see many biomaterials and composites made on a local scale, for local needs. Many of the techniques and materials we have seen in Fabricademy courses are present here, either at the stage of in-depth research or produced for real use. So it's no longer the future but the present.

###[TNO innovation for life](https://www.tno.nl/en/) 
It's an independent research organization with experts and laboratory research structure (9 departments and 22 centers in the world.  

One of the experts, Jaap VAN HEL from TNO came to give a presentation of his scientific research. His research focuses on the extraction of cellulose, how to make pulp and the possible production yields. 

First, he gave us several examples of biological resources (biomass) that contain cellulose, and he exposed a way to extract it. For example, there is cellulose in the residues of algae (Sea Lettuce, Varech, Irish Foam...). To extract it, it is necessary to go through a thermal process around 80-120°, then with N4CHO, then desalting, precipitation and finally drying. He has set up precise chemical and physical protocols to successfully extract these molecules from algae. The final yield for seaweed like sea lettuce is for 100g of seaweed, he manages to obtain 2g of cellulose (only). 

Then in the presentation, he exposed the process to extract cellulose from wheat straw. It is necessary to go through rectification, fragmentation, elimination of ashes (silica that prevents from making fibers), and then through the Fabiola process (fractionation). The final yield exposed during the presentation was that for 100g of wheat straw, it succeeds in extracting 28g of cellulose. 

In conclusion, the straw is largely more interesting than the algae. But there are questions of protocol length, means needed to perform the extraction and many other issues. 

Another aspect that was presented during the presentations is that the biological refinery must become the refinery. It must take the place of our now ubiquitous refinery. 

###[CENTEXBEL](https://www.centexbel.be/fr) 
It's a textile competence center in Belgium with a physical and chemical expertise. (180 collaborators and 3 structures )
This organization has a textile production workshop and working with Herewear. It provides a link between laboratory research and development, industry, designers, small scale laboratories. 
   
We were able to follow a presentation by Guy Bowle. 
He advised us to watch the documentary on Netflix A life on own planet

He then addressed the issue of degradability. It is important to remember that in this process of decomposition, a component is degradable under particular conditions. It does not happen just anywhere. We often forget this specificity in the issue of degradability. 

During this presentation, Guy Bowle explained the principle of wet spinning. A technique is being developed to produce new kind of yarns to make biopolymer textiles. After its presentation, we could see a product that exploits wet spinning. 

###[DITF (Deutsche institute für textile faserforshung)](https://www.ditf.de/de/ditf.html)
To represent this structure, we have a presentation made by Dieter Stellmack. 
During his presentation, he explained his Microfactory concept (Local, Digital and circular). His system highlights both CO2 emissions and profitability issues. He showed us his project of a girl dress (Rinaflore Dress) made in PLA. His product is composed of a button which is the passport of circularity. This button of transparency is a QR Code. We were able to touch a biopolymer, which is a material that is expanding with a wet spinning system.  

## PART 1 (DAY 2) : RECYCLING OF TEXTILE 
It was organized as part of the European Week of Waste reduction
Workshop with representants of the CMA Lyon-Rhône, the Village des Créateurs in partnership with the Métropole de Lyon. Three words were at the center of the discussions
<figure markdown>
  ![](../images/week10/R2.png){ width=300 }
</figure>

###**The goals of this meeting were**
Identify the problematics, needs and imagined solutions to structure the reuse and the running of textile waste   
 - Preventing the waste   
 - Running of textile scraps   
 - Running the final waste   

In order to better the end of life of textile waste, at small or large scale, the idea here is to rely on collaborative groups working in the textile innovation.

The partner of this meeting:
<figure markdown>
  ![](../images/week10/partners.jpg){ width=800 }
</figure>

_What is a waste?_   
According the Environment Code (art. L541-1), a waste corresponds to "every residue of a production, transformation or use process, every abandoned substance, material, production, or more globally every good, furniture, or every of these previously listed items its holder reserve for abandon." 3 types of waste:   
 - Inert   
 - Non dangerous and non inert   
 - Dangerous   
   
_What can waste become?_   
  - Valorisation: through recycling, composting, methanation, or incineration   
  - Elimination : through incineration without any energetic valorisation, burying, storing   

One of the statement that was made at this moment was that nowadays 30% of textile is recycled, but not "from textile to textile", and 50% of it is send into other countries. The rest is buried or stored without any use to be.

_What could be solutions for these waste's valorisation?_   
Eco-conception: revise the production, the collection (when talking about fashion designers), the supply and economical model, thinking about an economy of functionality.
Deal with the waste : sharing the collect and processing of waste, improve the recyclability, and find partnership in this system.   
Workshops and discussions in group

Think the reuse of fabric waste, and the techniques that could be brought into the process.   
Find ways to supply in fabric waste when collected, in term of logistic and storage.   
Bring eco-conception in the process of design, in order use textile waste and produce less of them upstream. 

Actors of the textile sector in Lyon met during this day :    
[FEAT COOP](https://www.featcoop.fr/) : Revaluation of sleeping fabrics of companies.    
[MARTHE DUVAL](https://martheduval.com/) : Reuse of scrap or end of roll to create new piece.     

### [Precious Plastic](http://preciousplastic.com/)
On another note, Pauline told us about a project that echoes our week. This organization is called Precious plastic, it does not belong to the textile sector initially. It focuses on the plastic resource and its recycling. 

This project is very complete with a strong spirit of building a local structure to meet a local need. It places itself in this logic of applying a global logic to a local scale and to elaborate micro structures. 
Here is the video presentation, go take a look at their system there is so much cool stuff. 
<figure markdown> 
<iframe width="756" height="338" src="https://www.youtube.com/embed/Os7dREQ00l4" title="Precious Plastic Universe: a big bang for plastic recycling" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

**Other projets about recycling** :    
* [Chaussettes Orphelines](https://chaussettesorphelines.com/)   


## PART 2 : PHOENIXTILE (Our theoretical projet of the week)
<div style="position: relative; width: 100%; height: 0; padding-top: 80.0000%;
 padding-bottom: 0; box-shadow: 0 2px 8px 0 rgba(63,69,81,0.16); margin-top: 1.6em; margin-bottom: 0.9em; overflow: hidden;
 border-radius: 8px; will-change: transform;">
  <iframe loading="lazy" style="position: absolute; width: 100%; height: 100%; top: 0; left: 0; border: none; padding: 0;margin: 0;"
    src="https:&#x2F;&#x2F;www.canva.com&#x2F;design&#x2F;DAFS8nIL-L4&#x2F;view?embed" allowfullscreen="allowfullscreen" allow="fullscreen">
  </iframe>
</div>
<a href="https:&#x2F;&#x2F;www.canva.com&#x2F;design&#x2F;DAFS8nIL-L4&#x2F;view?utm_content=DAFS8nIL-L4&amp;utm_campaign=designshare&amp;utm_medium=embeds&amp;utm_source=link" target="_blank" rel="noopener">Microfactory's idea</a> par Guillerm


## PART 3 : UPGRADE OF A LOOM MACHINE
During this week, the main mission set by Fabricademy was to build a machine or hack one. Once the week was over, Laora and I had to come up with an idea to complete our mission. At the very beginning, we wanted to try melting plastic fabric with a waffle iron. I have to admit that after reflecting on our previous project and receiving alarming feedback about the danger of melting plastic. I didn't want to continue in this manner. We left that project aside and focused on a loom.  Knowing that weaving appeals to both of us, and that we had a loom in our lab that didn't seem to get much use. 

The loom at the Lyon Lab was built by former Fabricademy students (Louise, Ségolène and Surzhana).  
Here are the links to documentation where they explain their project:    
- [Louise Massacrier](https://class.textile-academy.org/2022/louise-massacrier/Assignments/week10/#10-open-source-hardware)   
- [Segolène Chavareb](https://class.textile-academy.org/2022/segolene-chavareb/assignments/week10/#bom-of-the-machine)   
- [Surzhana Radnaeva](https://class.textile-academy.org/2022/surzhana-radnaeva/)   

They followed this model to build the loom. This model is open-source and the instructions are clear :[DIY Laser Cut Rigid Heddle Loom - Part 1: Building the Loom](https://www.instructables.com/DIY-Laser-Cut-Rigid-Heddle-Loom-Part-1-Building-th/)

### Schema of Loom 
A diagram made by Louise that explains very well the composition of the craft. 
<figure markdown>
  ![](../images/week10/Louise.jpg){ width=800 }
</figure>

Here is the loom in question with a weaving started by another group in our lab during week 10.
This loom was made of 6mm MDF wood board. (5.5€/board)
<figure markdown>
  ![](../images/week10/Loom.jpg){ width=600 }
</figure>

### Step 1 : Deconstruct to understand its composition 
<figure markdown>
  ![](../images/week10/deconstructionloom.jpg){ width=800 }
</figure>

### Step 2 : Reconstructing to better understand how things work 
<figure markdown>
  ![](../images/week10/constructionloom.jpg){ width=800 }
</figure>

### Step 3 : A proposal for improvement    
#### UPGRADE 1    
Our improvement targeted the part that allows the heddle to slide from the up position to the down position. In creating this new shape, we wanted to make this heddle also the reed for weaving. It had to be able to go in both positions and at the same time go out of these ways to be closer to the weft line that would be woven. To make this part, we used the same wood (3mm) with laser cutting (Parameter: power: 95 - speed: 2)
<figure markdown>
  ![](../images/week10/upgradeloom.jpg){ width=800 }
</figure>
   
**Problem** : With this E shape, it was impossible to put the heddle in the down position. A modification was therefore necessary. 

#### UPGRADE 2
After understanding the problem, we decided with Laora to remove a part of the E. Removing a small piece, we were forced to glue the second pieces together with wood glue.    
<figure markdown> 
<iframe width="978" height="538" src="https://www.youtube.com/embed/-OVdfYhENXU" title="Upgrade Loom" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

The system seems to work well. The frame can be placed in low position, high position and be used as a comb. All we have to do is install the wire and try a weave. 

### Result

<figure markdown>
  ![](../images/week10/Warping.jpg){ width=800 }
</figure>

## Files
[Heddle block modified PDF](../images/week10/Heddle block modified.pdf)   
[Heddle block modified PNG](../images/week10/Heddle block modified.png)   
[Heddle block modified SVG](../images/week10/Heddle block modified.svg)   
