# Process

In this project, it was about questions, introspection, environment, social, impacts, actions and using our strength to think together. There are environmental and social issues in this project.

## Define the terms before you start 
#### Overconsumption
 
"Overconsumption refers to a level of consumption above that of normal needs or average consumption. Beyond a certain threshold, overconsumption is a factor of overexploitation of natural resources, not, hardly, dangerously or slowly renewable." Wikipedia

#### Consumer society   
"The concept of _consumer society_, which became widespread especially in the second half of the 20th century, refers to the idea of an economic and social system based on the creation and systematic stimulation of a desire to enjoy consumer goods and services in ever greater proportions." Wikipedia

<figure markdown>
  ![](../images/week11/Accra-ghana-colline-pollution-textile- Magazine ANCRE.jpg){ width=700 }
<figcaption> Ghana-colline-pollution-textile- Magazine ANCRE </figcaption>
</figure>
   
What to do with this mountain of garbage?     
How to fight against this phenomenon?    
How can we stop the implementation of this type of set-up?    
How to catch up with our overproduction to take care of our environment?    
    
     
#### Modularity (modular, modulation, modulate, module)       
Modularity is related to the assembly of modules, forming variable combinations. In this idea of modularity is present that of modulation, which is synonymous with modification and transformation. The module is perceived in some cases as a measure. A modular construction, property attributed, adapts to its support or to a need. Modules can be connected to each other, disconnected from each other, or changed in place. They are malleable, thus offering a variation of forms. At the heart of this concept of modularity is the act of composing and decomposing, encouraging creativity. A modular construction does not have a fixed and finished form. The object evolves according to a need by the user. This transformation makes the modular object moving and alive. Modularity associates with the idea of multifunctionality and minimalism.   

* **What will be the place of modularity in the project ?**   
      
I ask myself this question here, because in initial feedback from my mentors I had to answer this question and I think the answer to this question is a cornerstone of my project. In this project, I want to use modularity **as a medium for reflection and play**. Modularity mixes construction and deconstruction, including it in the game will allow to compose and decompose an object but also to debate and compose and propose visions and to consider deconstructing them. 
   

## Ambiance of the design of this project 
### Building a game
I chose to build a game to approach the question of the overconsumption of clothing and the impact of textiles on the environment.  Talking about a serious and chaotic topic can make it difficult to debate or simply talk about. It is therefore important to provide a welcoming framework to do so. Play is the best strategy. It is also comforting to me.

During the last three months, we had to juggle collecting information on the impact of textiles and building the playful framework. I sought a balance between the serious and depressing nature of the subject and the production of a fun and playful form

<figure markdown>
  ![](../images/process/balance.jpg){ width=200 }
</figure>

### Design Thinking 
**Reference : Victor Papanek _Design for the real world_**    
<figure markdown>
  ![](../images/process/design_thinking.png){ width=600 }
</figure>
    
## V.1 : Modules & questions for discussion
_Intention_    
This first version of the game aimed to propose modules to the players to create an object and to question the player as well on the composition of clothing as on the consumption of clothing or water used in the textile sector. 
**The debate and the awareness were the two guidelines.** 

### Design of modules
#### Research Module Form   
Which module? What properties are needed in the form of modules?     
I need a simple, effective form. The hook must be simple, easy to use and also to dismantle.[^3] The combination of two types of hooks was chosen. I discard the binarity so that all the modules can be assembled without selection.      
<figure markdown>
  ![](../images/process/Module 1.png){ width=800 }
</figure>

Below is a first sketch of the fleece shape. I made this module from fabric scraps. I had already thought of this shape in December. I took the opportunity to try it out. The hook is strong enough to hold the modules together. They can also be detached easily and quickly. 
<figure markdown>
  ![](../images/process/Module 1 essai.jpg){ width=400 }
</figure>
    
#### Research Module Material
**Square validated!** I need to find a material that is not very fluid, not elastic, flexible and above all resistant.

* Sheep wool & felting exploration   
<figure markdown>
  ![](../images/process/moduleslaine.jpg){ width=800 }
</figure>
We recovered wool at the Lab, following the Lyon contemporary art biennial. I decided to make a felting of this wool to produce my modules. Here, the result of my modules with wool that I carded, combed, felted and cut by hand. The result is not neat. 

Felt is really the ideal material for assembling modules. On the other hand, I find that modules designed in one material don't connect with reality. In our closets, there is very little felt and raw, brown sheep's wool. 
   
I would like to get closer to the materials we find in our closets and therefore to the textiles we are most in contact with. I am therefore moving towards more fluid materials.

* A variety of fabrics in closet 

To think about the use of flexible material to make modules, I took as a starting point **my fabric library**. My fabric library is composed of a lot of pieces notched with scissors in a square shape. I got these pieces after each of my sewing projects. This fabrics library is a kind of **material library of fabric without logic and order of classification**. I used it as a source of inspiration for my projects. It is very important to touch the material before designing a garment. 
So I'm going to use my fabric library as a base for materials that can be worn on a daily basis. 
I will design modules with it. 

<figure markdown>
  ![](../images/process/tissuthèque.jpg){ width=800 }
</figure>
 
**Validation of materials: fabric scraps from our closet.**

### Design of questions (V.1)
**What are we going to talk about ?**    
*Objective* : To learn more about textile to better choose them and wear them better.

To realize this work of conception of the questions, I realized a miro board like a mental map. This work allowed me to see more clearly and categorize the type of information included in the questions. 

4 types of information = 4 types of cards

- **Direct questions** : True or false, 3 options, Egnima, What is it for?, Quesaco.      
- **Alternative solutions** : Initiative, Business, Institution, Philosophy.    
- **Facts and figures** : Composition textile, Price, Waste management, Quantity and scale.   
- **Imagine & Absurd** : Life scenario, Shapes, Materials, Choose between 2.   

Here is the first line of questions.
I selected 25 questions to play the first version   
   
### Game mechanic (V.1)  
In this first game mechanic, there are linen modules of size 8 cm by 8 cm. The linen used comes from industrial waste recovered by the Textile Lab. There are 4 types of cards shuffled into a pile. On the cards, there would be a QR Code which would refer to a window on the phone which would display the question. This QR code process would allow questions and answers to be updated. The player will have to answer the question or make a comment to the card information. Following this response, he will obtain a module. Gradually, he will collect several modules and will thus be able to build a textile object.
<figure markdown>
  ![](../images/process/game.png){ width=1000 }
</figure>

### Testing game (V.1)
<figure markdown>
  ![](../images/process/test1.jpg){ width=800 }
</figure>

### Feedbacks (V.1)     
I chose to remove the QR code for several reasons. The first is that in the early tests, the maps plus the construction of an object with the modules made the game complex. The QR code as well as the interaction with the phone would have made the game even more complex. The game would have been too complex to play.

The modules were well used, beautiful shapes appeared during this first version.

We discussed textiles for more than 2 hours. We have debated a lot on the question of our consumption of clothing that responds to a desire. Consumerism has permeated our subconscious and it is so hard to resist buying for pleasure. The second important element to mention during the session is the ignorance of the end of life of our clothes. Players of this V.1 easily donate their clothing to give them a second life. On the other hand, very worn clothes end up in the trash. Where to put them outside the household trash?

### Points to improve (V.1)
- Reduce game time
- Expand the modules to obtain larger objects
- Remove alternative solution questions and include them in answers to other questions
- Add other types of textiles
- Find a title indicating the intention of the game

## V.2 : Differents modules & questions for debate
_Intention_          
For this second version, I wanted to emphasize the debate. The questions will be more provocative, more open to debate. 

### Improvement of the modules (V.2)
The modules have been enlarged from 8cm by 8cm to 10cm by 10cm. I made modules in denim and cotton fabric of shirt and blouse. These new modules have been laser cut. Laser cutting is the queen of precision and it allows to produce a lot more modules in a short time.  In order to avoid that the fabrics fray, I glued the edges with classic glue. 
With these new modules, I managed to make a single sleeve t-shirt :   
<figure markdown>
  ![](../images/process/ModulesV.2.jpg){ width=800 }
</figure>

### Questions (V.2)
[List of questions (FR) V.2](../images/process/QuestionsV.2.pdf)

### Improvement of game mechanic (V.2)  
This second game mechanic was produced following tests on version one. Changes were necessary to take into account all types of players (with or without knowledge of textiles). 
<figure markdown>
  ![](../images/process/round.jpg){ width=600 }
</figure> 
<figure markdown>
  ![](../images/process/roundexpli.jpg){ width=600 }
</figure>

### Cards (V.2)
<figure markdown>
  ![](../images/process/carte.jpg){ width=800 }
</figure>

### Graphic charter (V.2)
<figure markdown>
  ![](../images/process/Logos cartes.png){ width=800 }
</figure>

### Testing game (V.2)
<figure markdown>
  ![](../images/process/test2.jpg){ width=800 }
</figure>
### Feedbacks (V.2)        
- Lack of connection between modules and questions.   
- Be careful with the wording of some questions.   
- Too long, the game lasted more than 2h30.
- Earning a module for each answer is good.
    
### Points to improve (V.2)  
- More playful 
- Less questions
- More competition
- Create a clear link between the modules and the questions

## V.3 : New modules & new game mechanic
_Intention_          
For this last version of the game I am developing for Fabricademy, I wanted it to be more playful and the modules to be really linked to the questions. 

### Bigs modules & small modules (V.3)   
<figure markdown>
  ![](../images/process/Petit Modulo.png){ width=100 }
</figure><figure markdown>
  ![](../images/process/Grand Modulo.jpg){ width=300 }
</figure>
   
**Big module assembly**   
<figure markdown>
  ![](../images/process/Tapis de modules.jpg){ width=600 }
</figure>

### Design of questions : Popularization (V.3)
[List of questions (FR) V.3](../images/process/QuestionsV.3.pdf)

### Game mechanic :  Global Redesign (V.3)  
This last mechanism developed during the three months of the project has clearly changed compared to the first two. There is no more facilitator, less questions, no more modules of two different sizes. The objective is the construction of a t-shirt. The object is therefore well defined from the beginning of the game. 

**Steps to follow during the game :**   
- Step 1  : Recognize the module   
- Step 2 : Answer questions about the module   
- Step 3 : Choose to keep or boycott the module   
- Step 4 : Build a t-shirt eco-responsible with the good modules   

<div style="position: relative; width: 100%; height: 0; padding-top: 80.0000%;
 padding-bottom: 0; box-shadow: 0 2px 8px 0 rgba(63,69,81,0.16); margin-top: 1.6em; margin-bottom: 0.9em; overflow: hidden;
 border-radius: 8px; will-change: transform;">
  <iframe loading="lazy" style="position: absolute; width: 100%; height: 100%; top: 0; left: 0; border: none; padding: 0;margin: 0;"
    src="https:&#x2F;&#x2F;www.canva.com&#x2F;design&#x2F;DAFgA61dEDs&#x2F;watch?embed" allowfullscreen="allowfullscreen" allow="fullscreen">
  </iframe>
</div>
<a href="https:&#x2F;&#x2F;www.canva.com&#x2F;design&#x2F;DAFgA61dEDs&#x2F;watch?utm_content=DAFgA61dEDs&amp;utm_campaign=designshare&amp;utm_medium=embeds&amp;utm_source=link" target="_blank" rel="noopener"></a>

### Prototype (V.3)  
<figure markdown>
  ![](../images/process/t-shirt.jpg){ width=600 }
</figure>

### Written built to play the game autonomously :   
  - Writing the rules of the game   
  - Writing of the construction instructions  

### Cards (V.3)
<figure markdown>
  ![](../images/process/Module nero.png){ width=500 }
</figure>

### Testing game (V.3) 
27.03.2023 during a Fashion Revolution week event in Le Textile Lab in Lyon.


## **Mentoring notes**

**20.12.2022 : Feedback after pitch**      

* Being more extreme to provoke, to reflect, with an intention to polarize       
* Elisabeth Jayot : https://www.fragmentsgarments.com/ 
* https://www.ecotextile.com/2021063028006/features/modular-fashion-the-next-big-thing-2.html https://www.voguebusiness.com/sustainability/could-modular-fashion-make-sustainability-fun-botter-coperni-peter-do-courreges    
* it could even be that you make a box with some modular cut pieces and you give it to 50 different people and you ask them to create a garment and then send you a picture.       
* like a social experiment https://nextnature.net/magazine/story/2020/next-generation-mathilde-rougier https://www.trendtablet.com/45499-open-source-fashion-manifesto/    
* Marie Kondo      

---

**10.01.2023 : First session of mentoring**   
Nuria & Anastasia    
The documentation of the project will be a logbook. The process is very interesting and the followed is valuable.    
   
We will need to think quickly about a Frankenstein, experiment and produce samples.    
   
You should start preparing some questions. **How to enjoy people with module ?** Simples questions ?
The focus of your project is the conversation with the people, accompany people to answer questions, so you should have some materials to ask the questions. Maybe there could be QR codes. 
Who will be asked the questions? Different ages and certainly face to face.    
   
* https://ninobrand.com/blogs/fashionopensource/open-source-manifesto   
* https://docs.google.com/document/d/1IviKvZr1Miqn-RkpA_kp8UsryajZ0KkLk1zQ6iQkrE8/edit   
* https://costumepuzzle.com/   

---
   
**17.01.2023 : Second session of mentoring**   
Nuria         
Play together to rethink the texile world.      
   
Think about the questions: 2 or 3 questions or expressions.
What do you want to know about people who have the mods in their lives? What must people think of modules? Should they focus on color? the emotional aspect? touch ? What does the game involve? What question would be relevant to ask? What answer do you want to get?   
You must try to answer these questions.
   
The manifesto will be written with the answers to the questions you ask them. The manifesto will be produced together.

---
   
**10.02.20.23 : Presenation Mid-term**   
Troy    

 - https://www.t-crepe.eu   
 - AMFI - Amsterdam Fashion Institute   
 - Article : https://research.hva.nl/en/publications/   can-design-confront-consumerism-a-critical-study-of-clothing-volu 
 - Article : https://research.hva.nl/en/publications/data-as-a-material-for-fashion-fashion-research-amp-technology   
   
---
   
**28.02.20.23 : Third session of mentoring**   
Nuria & Zoe
       
 - You have to try the game to know if it works.    
 - Consider an instagram account with the different creations of the players.   
 - For more gamification, consider a goal and competition like monopoly.    
 - News modules could be considered to make other shapes, including 3D volumes.   


## Files

[Modules 15cm,10cm,5cm](../images/process/Modules 15cm,10cm,5cm.pdf)    
[Big module](../images/process/Grand Modulo.svg)    
[Small module](../images/process/Petit Modulo.svg)    
[Notice de montage du t-shirt](../images/process/Notice de montage du t-shirt.pdf)    
